Bug 17161 - Adding network card caused SCSI to into endless loop
Adding network card caused SCSI to into endless loop
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-31 23:03 EDT by Bill Hammond
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-31 23:03:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Hammond 2000-08-31 23:03:23 EDT
Distribution: RH 6.2
Kernel: 2.2.16 #10 SMP Thu Jul 27 18:41:17 CDT 2000 i586 unknown
Machine: HP Vectra series, two x Pentium 90, 32MB RAM, 4.5Gb SCSI 
(/dev/sda)
Modules: pcnet32 (eth0), tulip (eth1), tmscsim (SCSI)

I got the machine working and everything was fine until I tried to add a 
second ethernet adapter. I put in a Netgear FA310TX card and the system 
seemed to work - but just about any activity on the second ethernet card 
(eth1) will cause the SCSI controller to go into an endless series of bus 
resets. The only way to recover is a hard reset (which often corrupts the 
disk). The ethernet card seems to work OK all the time, even if the SCSI 
controller isn't.

If there is no activity at all on the ethernet card, everything is fine. 
The only thing that changed when I installed the ethernet card is eth1 and 
SCSI now share an interrupt and I do not know how to change that.

More information:

/sbin/lspci:

00:00.0 Host bridge: Intel Corporation 82434LX [Mercury/Neptune] (rev 11)
00:01.0 VGA compatible unclassified device: S3 Inc. 86c864 [Vision 864 
DRAM] vers 0
00:02.0 Non-VGA unclassified device: Intel Corporation 82375EB (rev 04)
00:03.0 Ethernet controller: Advanced Micro Devices [AMD] 79c970 [PCnet 
LANCE] (rev 02)
00:04.0 SCSI storage controller: Advanced Micro Devices [AMD] 53c974 
[PCscsi] (rev 02)
00:05.0 IDE interface: CMD Technology Inc PCI0640 (rev 02)
00:0e.0 Ethernet controller: Lite-On Communications Inc LNE100TX (rev 21)

/proc/interrupts:

          CPU0      CPU1
  0:     57228     61345    IO-APIC-edge  timer
  1:       365       764    IO-APIC-edge  keyboard
  2:         0         0          XT-PIC  cascade
  4:        17         8    IO-APIC-edge  serial
  8:         0         1    IO-APIC-edge  rtc
  9:      2732      2660    IO-APIC-edge  PCnet/PCI 79C970
 10:    138473    105376    IO-APIC-edge  tmscsim, eth1     <-----
 13:         1         0          XT-PIC  fpu
NMI:         1
ERR:         0

I don't know if this is a problem with the SCSI module (tmscsim), the 
ethernet module (tulip) or my machine. Thanks for the help.
Comment 1 Alan Cox 2000-09-15 13:41:58 EDT
Board problem. The BIOS is not permitted to share interrupts and assign the PCI
line in question PCI shared. (I assume you were the same person who posted the
PCI bus fix a bit later into bugzilla
to work around your board)

Note You need to log in before you can comment on or make changes to this bug.